stockQuotesData = [
{
	id: 1,
	name: "Electronic Arts Inc.",
	symbol: "ERTS",
	lastValue: 17.85,
	changeValue: 0.23,
	openValue: 17.52,
	dayHighValue: 17.92,
	dayLowValue: 17.78
},
{
	id: 2,
	name: "Intel Corporation",
	symbol: "INTC",
	lastValue: 21.62,
	changeValue: 0.14,
	openValue: 21.50,
	dayHighValue: 21.67,
	dayLowValue: 21.42
},
{
	id: 3,
    name: "Broadcom Corporation",
    symbol: "BRCM",
    lastValue: 42.90,
    changeValue: -3.49,
    openValue: 45.35,
    dayHighValue: 45.35,
    dayLowValue: 42.12
},
{
    id: 4,
    name: "Microsoft Corporation",
    symbol: "MSFT",
    lastValue: 27.99,
    changeValue: -0.01,
    openValue: 27.98,
    dayHighValue: 28.01,
    dayLowValue: 27.97
},
{
	id: 5,
    name: "Cisco Systems, Inc.",
    symbol: "CSCO",
    lastValue: 21.64,
    changeValue: 0.17,
    openValue: 21.17,
    dayHighValue: 21.67,
    dayLowValue: 21.02
},
{
	id: 6,
    name: "NVIDIA Corporation",
    symbol: "NVDA",
    lastValue: 25.23,
    changeValue: -0.76,
    openValue: 25.99,
    dayHighValue: 25.99,
    dayLowValue: 25.12
},
{
	id: 7,
    name: "Micron Technology, Inc.",
    symbol: "MU",
    lastValue: 10.93,
    changeValue: 0.12,
    openValue: 10.80,
    dayHighValue: 10.97,
    dayLowValue: 10.69
},
{
	id: 8,
	name: "Applied Materials, Inc.",
	symbol: "AMAT",
	lastValue: 16.39,
	changeValue: 0.17,
	openValue: 16.22,
	dayHighValue: 16.47,
	dayLowValue: 16.32
},
{
	id: 9,
	name: "Oracle Corporation",
    symbol: "ORCL",
    lastValue: 33.32,
    changeValue: -0.08,
    openValue: 33.40,
    dayHighValue: 33.37,
    dayLowValue: 33.25
},
{
	id: 10,
	name: "Dell Inc.",
    symbol: "DELL",
    lastValue: 13.71,
    changeValue: 0.26,
    openValue: 13.45,
    dayHighValue: 13.77,
    dayLowValue: 13.41
}
];

isc.DataSource.create({
    ID: "stockQuotes",
    fields:[
        {name:"id", primaryKey: "true"},
        {name: "name", type: "text", title: "Name", length: "128", required: "true", width: "200"},
        {name: "symbol", type: "text", title: "Symbol", length: "16", required: "true"},
		{name: "lastValue", type: "float", title: "Last"},
        {name: "changeValue", type: "float", title: "Change"},
        {name: "openValue", type: "float", title: "Open"},
        {name: "dayHighValue", type: "float", title: "DayHigh"},
        {name: "dayLowValue", type: "float", title: "DayLow"}
    ],
    clientOnly: true,
    testData: stockQuotesData
});
